$nin那个版本会支持

发布问题 回首页

$nin那个版本会支持

★ 0 成为第一个关注这个问题的人

在项目代码中使用$nin运算符,出现、Query failed with error code 17287 and error message ‘Can’t canonicalize query: BadValue: unknown top level operator: $nin’ on server
使用org.mongodb:mongodb-driver:3.0.4 (mongodb-driver-3.0.4-sources.jar)

lizhen 在大约 之前添加了 Open 状态
  • 提问于
  • Answers0 个
  • 浏览 3 次
  • 最新活跃于

问题状态

  • Open

类别

1 个 参与者

$nin那个版本会支持》有15个想法

  1. 谢答,但个人认为不准确,1.mr我觉得不适合实时计算,更贴合后期数据统计需求,2.aggregate必须支持自定义函数,就好像你定义个abc(1,2)一样肯定是计算了,现在的问题是abc(1,2)这个参数我想传个字段进去,比如abc($qty,2)这样….他就不好使了….难道大家没有在aggregate中用字段进行计算的经历么?

发表评论